> For the complete documentation index, see [llms.txt](https://docs.bird.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/api/contacts-api/tracking-contact-events/api-reference/get-configuration.md).

# Get configuration

The typical process for tracking events involves two steps. In this section, we’ll focus on how to retrieve API details and gather all the necessary information. Before proceeding, ensure that your application is configured as outlined in the ["Configuring you application"](/api/contacts-api/tracking-contact-events.md#configuring-your-application) section.

## Get the configuration

Let's establish some of our data that will be used in the following example:

* **YOUR\_CONFIG\_URL**: <https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/applications/4640861f-f29b-48b6-8baa-a0f23249cf77/signature/2024-11-26T15-00-00\\_88eb9214e4>

{% tabs %}
{% tab title="Request" %}

```bash
curl -X GET "YOUR_CONFIG_URL" \
-H "Content-Type: application/json"
```

{% endtab %}

{% tab title="Response (200 OK)" %}

```json
{
    "applicationId": "4640861f-f29b-48b6-8baa-a0f23249cf77",
    "workspaceId": "a1405560-c8d3-4b1a-877d-3f449ad95352",
    "apiEndpoint": "https://api.bird.com",
    "allowedDomains": [
        "myapplication.com"
    ],
    "allowedAppBundles": [
        ""
    ],
    "tracking": {
        "connectorId": "a1405560-c8d3-4b1a-877d-3f449ad95352",
        "enabled": true,
        "writeKey": "a1405560-c8d3-4b1a-877d-3f449ad95352",
        "endpoint": "https://capture.eu-west-1.api.bird.com/tracking/track",
        "trackPageViews": true,
        "anonymousTracking": "enqueue",
        "trackLifecycleEvents": true
    },
    "pushNotifications": {
        "enabled": false,
        "connectorId": "00000000-0000-0000-0000-000000000000",
        "endpoint": "https://capture.eu-west-1.api.bird.com/push-notifications"
    },
    "appInbox": {
        "enabled": false,
        "connectorId": "00000000-0000-0000-0000-000000000000",
        "channelId": "00000000-0000-0000-0000-000000000000",
        "endpoint": "https://capture.eu-west-1.api.bird.com/ app-inbox"
    }
}
```

{% endtab %}
{% endtabs %}

You will need the following information from the response for the subsequent steps:

* **workspaceId**
* **tracking.endpoint**
* **tracking.writeKey**

We recommend retrieving the configuration at the beginning of the session and caching the response for the entire tracking session. Once you have this information, you can move on to the next step: [**Track events**](/api/contacts-api/tracking-contact-events/api-reference/track-events.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bird.com/api/contacts-api/tracking-contact-events/api-reference/get-configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
